Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
JsonapiServiceProvider class core/modules/jsonapi/src/JsonapiServiceProvider.php Adds 'api_json' as known format and prevents its use in the REST module.
JsonapiServiceProvider.php file core/modules/jsonapi/src/JsonapiServiceProvider.php
JsonapiServiceProvider::alter function core/modules/jsonapi/src/JsonapiServiceProvider.php
JsonapiServiceProvider::register function core/modules/jsonapi/src/JsonapiServiceProvider.php
JsonApiSettingsForm class core/modules/jsonapi/src/Form/JsonApiSettingsForm.php Configure JSON:API settings for this site.
JsonApiSettingsForm.php file core/modules/jsonapi/src/Form/JsonApiSettingsForm.php
JsonApiSettingsForm::buildForm function core/modules/jsonapi/src/Form/JsonApiSettingsForm.php
JsonApiSettingsForm::getFormId function core/modules/jsonapi/src/Form/JsonApiSettingsForm.php
JsonApiSpec class core/modules/jsonapi/src/JsonApiSpec.php Defines constants used for compliance with the JSON:API specification.
JsonApiSpec.php file core/modules/jsonapi/src/JsonApiSpec.php
JsonApiSpec::getReservedQueryParameters function core/modules/jsonapi/src/JsonApiSpec.php Gets the reserved (official) JSON:API query parameters.
JsonApiSpec::isValidCustomQueryParameter function core/modules/jsonapi/src/JsonApiSpec.php Checks whether the given custom query parameter name is valid.
JsonApiSpec::isValidMemberName function core/modules/jsonapi/src/JsonApiSpec.php Checks whether the given member name is valid.
JsonApiSpec::MEMBER_NAME_GLOBALLY_ALLOWED_CHARACTER_CLASS constant core/modules/jsonapi/src/JsonApiSpec.php Member name: globally allowed characters.
JsonApiSpec::MEMBER_NAME_INNER_ALLOWED_CHARACTERS constant core/modules/jsonapi/src/JsonApiSpec.php Member name: allowed characters except as the first or last character.
JsonApiSpec::MEMBER_NAME_REGEXP constant core/modules/jsonapi/src/JsonApiSpec.php Regular expression to check the validity of a member name.
JsonApiSpec::RESERVED_QUERY_PARAMETERS constant core/modules/jsonapi/src/JsonApiSpec.php The reserved (official) query parameters.
JsonApiSpec::SUPPORTED_SPECIFICATION_JSON_SCHEMA constant core/modules/jsonapi/src/JsonApiSpec.php The URI of the supported specification's JSON Schema.
JsonApiSpec::SUPPORTED_SPECIFICATION_PERMALINK constant core/modules/jsonapi/src/JsonApiSpec.php The URI of the supported specification document.
JsonApiSpec::SUPPORTED_SPECIFICATION_VERSION constant core/modules/jsonapi/src/JsonApiSpec.php The minimum supported specification version.
JsonApiSpec::VERSION_QUERY_PARAMETER constant core/modules/jsonapi/src/JsonApiSpec.php The query parameter for providing a version (revision) value.
JsonApiSpecTest class core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php Tests Drupal\jsonapi\JsonApiSpec.
JsonApiSpecTest.php file core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php
JsonApiSpecTest::providerTestIsValidCustomQueryParameter function core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php Data provider for testIsValidCustomQueryParameter.
JsonApiSpecTest::providerTestIsValidMemberName function core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php Data provider for testIsValidMemberName.
JsonApiSpecTest::testIsValidCustomQueryParameter function core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php Provides test cases.
JsonApiSpecTest::testIsValidMemberName function core/modules/jsonapi/tests/src/Unit/JsonApiSpecTest.php Ensures that member names are properly validated.
JsonapiTestFieldAccessHooks class core/modules/jsonapi/tests/modules/jsonapi_test_field_access/src/Hook/JsonapiTestFieldAccessHooks.php Hook implementations for jsonapi_test_field_access.
JsonapiTestFieldAccessHooks.php file core/modules/jsonapi/tests/modules/jsonapi_test_field_access/src/Hook/JsonapiTestFieldAccessHooks.php
JsonapiTestFieldAccessHooks::entityFieldAccess function core/modules/jsonapi/tests/modules/jsonapi_test_field_access/src/Hook/JsonapiTestFieldAccessHooks.php Implements hook_entity_field_access().
JsonapiTestNonCacheableMethodsHooks class core/modules/jsonapi/tests/modules/jsonapi_test_non_cacheable_methods/src/Hook/JsonapiTestNonCacheableMethodsHooks.php Hook implementations for jsonapi_test_non_cacheable_methods.
JsonapiTestNonCacheableMethodsHooks.php file core/modules/jsonapi/tests/modules/jsonapi_test_non_cacheable_methods/src/Hook/JsonapiTestNonCacheableMethodsHooks.php
JsonapiTestNonCacheableMethodsHooks::entityPredelete function core/modules/jsonapi/tests/modules/jsonapi_test_non_cacheable_methods/src/Hook/JsonapiTestNonCacheableMethodsHooks.php Implements hook_entity_predelete().
JsonapiTestNonCacheableMethodsHooks::entityPresave function core/modules/jsonapi/tests/modules/jsonapi_test_non_cacheable_methods/src/Hook/JsonapiTestNonCacheableMethodsHooks.php Implements hook_entity_presave().
JsonapiTestUserHooks class core/modules/jsonapi/tests/modules/jsonapi_test_user/src/Hook/JsonapiTestUserHooks.php Hook implementations for jsonapi_test_user.
JsonapiTestUserHooks.php file core/modules/jsonapi/tests/modules/jsonapi_test_user/src/Hook/JsonapiTestUserHooks.php
JsonapiTestUserHooks::userFormatNameAlter function core/modules/jsonapi/tests/modules/jsonapi_test_user/src/Hook/JsonapiTestUserHooks.php Implements hook_user_format_name_alter().
JsonApiTopLevelResourceNormalizerTest class core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php Tests Drupal\jsonapi\Normalizer\JsonApiDocumentTopLevelNormalizer.
JsonApiTopLevelResourceNormalizerTest.php file core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php
JsonApiTopLevelResourceNormalizerTest::$file property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php The example image file.
JsonApiTopLevelResourceNormalizerTest::$includeResolver property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php The include resolver.
JsonApiTopLevelResourceNormalizerTest::$modules property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php
JsonApiTopLevelResourceNormalizerTest::$node property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A node to normalize.
JsonApiTopLevelResourceNormalizerTest::$nodeType property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php The node type.
JsonApiTopLevelResourceNormalizerTest::$resourceTypeRepository property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php The JSON:API resource type repository under test.
JsonApiTopLevelResourceNormalizerTest::$term1 property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A term.
JsonApiTopLevelResourceNormalizerTest::$term2 property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A term.
JsonApiTopLevelResourceNormalizerTest::$user property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A user to normalize.
JsonApiTopLevelResourceNormalizerTest::$user2 property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A user.
JsonApiTopLevelResourceNormalizerTest::$vocabulary property core/modules/jsonapi/tests/src/Kernel/Normalizer/JsonApiTopLevelResourceNormalizerTest.php A vocabulary.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.